SCHEMAS
List Schemas
Retrieve a list of schemas in a workspace.
GET
/
v1
/
{workspace}
/
schema
/
List Schemas
curl -X GET "https://management-api.suprsend.com/v1/{workspace}/schema/" \
--header 'Authorization: ServiceToken <token>' \
--header 'Content-Type: application/json'import requests
url = "https://management-api.suprsend.com/v1/{workspace}/schema/"
headers = {"ServiceToken <token>": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'ServiceToken <token>': '<api-key>'}};
fetch('https://management-api.suprsend.com/v1/{workspace}/schema/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"count": 5,
"limit": 10,
"offset": 0
},
"results": [
{
"slug": "new-order-placed",
"name": "Order Placed Event",
"description": "Schema for order placement action",
"status": "draft",
"hash": "382b707d4b1f8999a1xxxxxxxx",
"json_schema": {
"type": "object",
"$schema": "https://json-schema.org/draft/2020-12/schema",
"required": [
"order_id",
"amount"
],
"properties": {
"order_id": {
"type": "string"
},
"amount": {
"type": "string"
}
},
"additionalProperties": true
},
"created_at": "2025-08-27T09:30:57.945326Z",
"updated_at": "2025-08-29T15:37:37.650177Z",
"committed_at": null,
"commit_message": null
}
]
}{
"code": 401,
"error_code": "authentication_failed",
"type": "AuthenticationFailed",
"message": "Invalid service token.",
"detail": "Invalid service token."
}{
"code": 404,
"error_code": "not_found",
"type": "NotFound",
"message": "workspace 'demo' not found",
"detail": "workspace 'demo' not found"
}Authorizations
You can get Service Token from SuprSend dashboard -> Account Settings -> Service Tokens section.
Path Parameters
Workspace slug (staging, production, etc.)
Query Parameters
Specify if you want to fetch draft or live schema.
Available options:
draft, live Was this page helpful?
⌘I
List Schemas
curl -X GET "https://management-api.suprsend.com/v1/{workspace}/schema/" \
--header 'Authorization: ServiceToken <token>' \
--header 'Content-Type: application/json'import requests
url = "https://management-api.suprsend.com/v1/{workspace}/schema/"
headers = {"ServiceToken <token>": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'ServiceToken <token>': '<api-key>'}};
fetch('https://management-api.suprsend.com/v1/{workspace}/schema/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"count": 5,
"limit": 10,
"offset": 0
},
"results": [
{
"slug": "new-order-placed",
"name": "Order Placed Event",
"description": "Schema for order placement action",
"status": "draft",
"hash": "382b707d4b1f8999a1xxxxxxxx",
"json_schema": {
"type": "object",
"$schema": "https://json-schema.org/draft/2020-12/schema",
"required": [
"order_id",
"amount"
],
"properties": {
"order_id": {
"type": "string"
},
"amount": {
"type": "string"
}
},
"additionalProperties": true
},
"created_at": "2025-08-27T09:30:57.945326Z",
"updated_at": "2025-08-29T15:37:37.650177Z",
"committed_at": null,
"commit_message": null
}
]
}{
"code": 401,
"error_code": "authentication_failed",
"type": "AuthenticationFailed",
"message": "Invalid service token.",
"detail": "Invalid service token."
}{
"code": 404,
"error_code": "not_found",
"type": "NotFound",
"message": "workspace 'demo' not found",
"detail": "workspace 'demo' not found"
}